kind: pipeline
type: docker
name: Demo Deploy Pipeline

workspace:
  path: /drone/walden

steps:
- name: Deploy Container
  image: docker
  privileged: true
  commands:
    - docker compose -f docker-compose.prod.yml build
    # - docker compose -f docker-compose.prod.yml build --pull --no-cache
    - docker compose -f docker-compose.prod.yml up --remove-orphans --force-recreate --wait
  volumes:
  - name: dockersock
    path: /var/run/docker.sock
  - name: dockerconfig
    path: /drone/walden/.docker/config.json
- name: Send Status Notifications
  image: plugins/webhook
  privileged: true
  settings:
    urls: https://lab.mifi.dev/hooks/ccw34hdf7tgbjmzp96nptn938r
    content_type: application/json
    template: |
      {
        "icon_url":"https://emojipedia-us.s3.dualstack.us-west-1.amazonaws.com/thumbs/120/apple/198/freezing-face_1f976.png",
        "text": "[{{ repo.name }} - Build # {{ build.number }}] Staging Deploy {{ build.status }} {{#success build.status}}:tada:{{else}}:poop:{{/success}}",
        "username":"DroneBot"
      }
  when:
    status:
      - success
      - failure

volumes:
- name: dockerconfig
  host:
    path: /volume1/docker/dockerconfig.json
- name: dockersock
  host:
    path: /var/run/docker.sock

trigger:
  branch:
  - main
  event:
  - push
